/**********************************************************************************
 * $URL: https://source.sakaiproject.org/svn/kernel/tags/kernel-1.3.0-rc02/api/src/main/java/org/sakaiproject/cluster/api/ClusterService.java $
 * $Id: ClusterService.java 66286 2009-09-04 13:47:34Z david.horwitz@uct.ac.za $
 ***********************************************************************************
 *
 * Copyright (c) 2004, 2005, 2006, 2008 Sakai Foundation
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *       http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 **********************************************************************************/

package org.sakaiproject.cluster.api;

import java.util.List;

/**
 * <p>
 * ClusterService keeps track of running Sakai instances in a Sakai application server cluster.
 * </p>
 */
public interface ClusterService
{
	/**
	 * Access a List of server ids active in the cluster.
	 * 
	 * @return The List (String) of server ids active in the cluster.
	 */
	List<String> getServers();
}
